ru.bitel.bgbilling.plugins.documents.server.bean.event

## Class DocumentGeneratedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.plugins.documents.server.bean.event.DocumentGeneratedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DocumentGeneratedEvent
      extends QueueEvent

  Асинхронное событие, бросаемое после того, как был сгенерирован документ по шаблону
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentGeneratedEvent()`
    `DocumentGeneratedEvent(int moduleId, int pluginId, int contractId, int userId, Document doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `getGeneratedDocument()` Возвращает сгенерированный документ

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentGeneratedEvent

          public DocumentGeneratedEvent()

    - #### DocumentGeneratedEvent

          public DocumentGeneratedEvent(int moduleId,
                                        int pluginId,
                                        int contractId,
                                        int userId,
                                        Document doc)

  - ### Method Detail

    - #### getGeneratedDocument

          public Document getGeneratedDocument()

      Возвращает сгенерированный документ
      Returns:
        сгенерированный документ